summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 2d310d8)
raw | patch | inline | side by side (parent: 2d310d8)
author | Junio C Hamano <junkio@cox.net> | |
Sun, 5 Feb 2006 06:10:32 +0000 (22:10 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sun, 5 Feb 2006 06:16:22 +0000 (22:16 -0800) |
When TERM is set to 'dumb', do not start vi to edit the commit log
message.
Suggested by Amos Waterland.
Signed-off-by: Junio C Hamano <junkio@cox.net>
message.
Suggested by Amos Waterland.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-commit.sh | patch | blob | history |
diff --git a/git-commit.sh b/git-commit.sh
index 193feeb5e42f1a486a3aae42935cb98696a2baac..10946ed5f9e4fb25a7b0b76617f223fc43f4b726 100755 (executable)
--- a/git-commit.sh
+++ b/git-commit.sh
fi
case "$no_edit" in
'')
+ case "${VISUAL:-$EDITOR},$TERM" in
+ ,dumb)
+ echo >&2 "Terminal is dumb but no VISUAL nor EDITOR defined."
+ echo >&2 "Please supply the commit log message using either"
+ echo >&2 "-m or -F option. A boilerplate log message has"
+ echo >&2 "been prepared in $GIT_DIR/COMMIT_EDITMSG"
+ exit 1 ;;
+ esac
${VISUAL:-${EDITOR:-vi}} "$GIT_DIR/COMMIT_EDITMSG"
;;
esac